function onCreatePost()
    makeLuaSprite('blammedLightsBlack', '', getPropertyFromClass('flixel.FlxG', 'width') * -0.5, getPropertyFromClass('flixel.FlxG', 'height') * -0.5)
	makeGraphic('blammedLightsBlack', getPropertyFromClass('flixel.FlxG', 'width') * 2, getPropertyFromClass('flixel.FlxG', 'height') * 2, '000000')
	
	setScrollFactor('blammedLightsBlack', 0)
	setProperty('blammedLightsBlack.scale.x', 5)
	setProperty('blammedLightsBlack.scale.y', 5)  

    addLuaSprite('blammedLightsBlack', false)

	setProperty('blammedLightsBlack.alpha', 0.0001)

    makeLuaSprite('blackHUD', '', getPropertyFromClass('flixel.FlxG', 'width') * -0.5, getPropertyFromClass('flixel.FlxG', 'height') * -0.5)
	makeGraphic('blackHUD', getPropertyFromClass('flixel.FlxG', 'width') * 2, getPropertyFromClass('flixel.FlxG', 'height') * 2, '000000')
	
	setScrollFactor('blackHUD', 0)
	setProperty('blackHUD.scale.x', 5)
	setProperty('blackHUD.scale.y', 5)  

    addLuaSprite('blackHUD', true)

	setProperty('blackHUD.alpha', 0.0001)
    setObjectCamera('blackHUD', 'camHUD')
end

function onBeatHit()
   -- if curBeat == 316 then
       -- doTweenAlpha('blammedLightsBlack', 'blammedLightsBlack', 1, 2, 'linear')
    --end

    --if curBeat == 324 then
        --doTweenAlpha('blammedLightsBlack1', 'blammedLightsBlack', 0.0001, 4, 'linear')
    --end

    --if curBeat == 332 then
        --doTweenAlpha('blammedLightsBlack2', 'blammedLightsBlack', 1, 1, 'linear')
    --end

    --if curBeat == 336 then
        --doTweenAlpha('blammedLightsBlack3', 'blammedLightsBlack', 0.0001, 0.3, 'linear')
    --end

    if curBeat == 416 then
        doTweenAlpha('blackHUD', 'blackHUD', 1, 10, 'linear')
    end
end